Package org.apache.tomcat.util.descriptor.tld

## Class TaglibXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TaglibXml

-     public class TaglibXml
      extends java.lang.Object

  Common representation of a Tag Library Descriptor (TLD) XML file.

  This stores the raw result of parsing an TLD XML file, flattening different version of the descriptors to a common format. This is different to a TagLibraryInfo instance that would be passed to a tag validator in that it does not contain the uri and prefix values used by a JSP to reference this tag library.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaglibXml()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFunction​(java.lang.String name, java.lang.String klass, java.lang.String signature)` |
    `void` | `addListener​(java.lang.String listener)` |
    `void` | `addTag​(TagXml tag)` |
    `void` | `addTagFile​(TagFileXml tag)` |
    `java.util.List<FunctionInfo>` | `getFunctions()` |
    `java.lang.String` | `getInfo()` |
    `java.lang.String` | `getJspVersion()` |
    `java.util.List<java.lang.String>` | `getListeners()` |
    `java.lang.String` | `getShortName()` |
    `java.util.List<TagFileXml>` | `getTagFiles()` |
    `java.util.List<TagXml>` | `getTags()` |
    `java.lang.String` | `getTlibVersion()` |
    `java.lang.String` | `getUri()` |
    `ValidatorXml` | `getValidator()` |
    `void` | `setInfo​(java.lang.String info)` |
    `void` | `setJspVersion​(java.lang.String jspVersion)` |
    `void` | `setShortName​(java.lang.String shortName)` |
    `void` | `setTlibVersion​(java.lang.String tlibVersion)` |
    `void` | `setUri​(java.lang.String uri)` |
    `void` | `setValidator​(ValidatorXml validator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaglibXml

          public TaglibXml()

  - ### Method Detail

    - #### getTlibVersion

          public java.lang.String getTlibVersion()

    - #### setTlibVersion

          public void setTlibVersion​(java.lang.String tlibVersion)

    - #### getJspVersion

          public java.lang.String getJspVersion()

    - #### setJspVersion

          public void setJspVersion​(java.lang.String jspVersion)

    - #### getShortName

          public java.lang.String getShortName()

    - #### setShortName

          public void setShortName​(java.lang.String shortName)

    - #### getUri

          public java.lang.String getUri()

    - #### setUri

          public void setUri​(java.lang.String uri)

    - #### getInfo

          public java.lang.String getInfo()

    - #### setInfo

          public void setInfo​(java.lang.String info)

    - #### getValidator

          public ValidatorXml getValidator()

    - #### setValidator

          public void setValidator​(ValidatorXml validator)

    - #### addTag

          public void addTag​(TagXml tag)

    - #### getTags

          public java.util.List<TagXml> getTags()

    - #### addTagFile

          public void addTagFile​(TagFileXml tag)

    - #### getTagFiles

          public java.util.List<TagFileXml> getTagFiles()

    - #### addListener

          public void addListener​(java.lang.String listener)

    - #### getListeners

          public java.util.List<java.lang.String> getListeners()

    - #### addFunction

          public void addFunction​(java.lang.String name,
                                  java.lang.String klass,
                                  java.lang.String signature)

    - #### getFunctions

          public java.util.List<FunctionInfo> getFunctions()